Package org.apache.cxf.databinding.stax

# Class StaxDataBindingFeature.Portable

java.lang.Object
org.apache.cxf.databinding.stax.StaxDataBindingFeature.Portable

All Implemented Interfaces:
  `AbstractPortableFeature`, `Feature`

Enclosing class:
  StaxDataBindingFeature

public static class StaxDataBindingFeature.Portable extends Object implements AbstractPortableFeature

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Portable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(Client client, Bus bus)`
  `void`
  `initialize(Server server, Bus bus)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cxf.feature.AbstractPortableFeature

  `doInitializeProvider, initialize, initialize`

- ## Constructor Details

  - ### Portable

    public Portable()

- ## Method Details

  - ### initialize

    public void initialize(Client client, Bus bus)
    Specified by:
      `initialize` in interface `AbstractPortableFeature`
    Specified by:
      `initialize` in interface `Feature`

  - ### initialize

    public void initialize(Server server, Bus bus)
    Specified by:
      `initialize` in interface `AbstractPortableFeature`
    Specified by:
      `initialize` in interface `Feature`